#include <iostream>
using namespace std;

const int SIZE = 20;

void wypelnij_losowo(int t[], int rozmiar, int zakres) {
    for(int i = 0; i < SIZE; i++) {
        t[i] =  rand() % zakres;
    }
}

void wypisz(int t[], int rozmiar) {
    for(int i = 0; i < rozmiar; i++) {
        cout << t[i] << " ";
    }
    cout << endl;
}

void bubble_sort(int t[], int rozmiar) {
    // sortuje zawartość tablicy (układa liczby w kolejności rosnącej)
    // stosując zamianę elementów miejscami
    int tmp;
    bool jeszcze_zle;
    do {
        jeszcze_zle = false;
        for(int i = 1; i < rozmiar; i++) {
            if(t[i-1] > t[i]) {
                tmp = t[i-1];
                t[i-1] = t[i];
                t[i] = tmp;
                jeszcze_zle = true;
            }
        }
    } while(jeszcze_zle);
}

int main() {
    srand(time(nullptr));
    int t[SIZE];

    wypelnij_losowo(t, SIZE, 100);
    cout << "wersja wylosowana:\n";
    wypisz(t, SIZE);
    
    bubble_sort(t, SIZE);
    cout << "wersja posortowania:\n";
    wypisz(t, SIZE);

    return 0;
}
