#include <iostream>
using namespace std;

class Konto {
    // te pola są "prywatne", czyli nie wolno ich używać w main i generalnie poza klasą
    string wlasciciel;
    int saldo;

    // to co poniżej jest "publiczne", czyli można tego używać
    public:
    Konto(string wl, int sld=0) {
        wlasciciel = wl;
        saldo = sld;
    }

    void wypisz() {
        cout << wlasciciel << " ma na koncie " << saldo << endl;
    }

    void wplata(int kwota) {
        saldo += kwota;
    }

    void wyplata(int kwota) {
        saldo -= kwota;
    }
};

int main() {
    Konto kontoA("Ala", 2000), kontoB("Basia");
    kontoA.wypisz();
    kontoB.wypisz();
    kontoA.wplata(300);
    kontoB.wplata(600);
    kontoA.wypisz();
    kontoB.wypisz();
    return 0;
}
