#include <iostream>
using namespace std;

// Gdy przed nazwą funkcji napiszemy cos innego niż void,
// to funkcja powinna zawierać instrukcję return i za jej pomocą "zwrócić" wynik podanego typu.
// return zwraca podany wynik i funkcja się kończy
int kwadrat(int x)
{
    return x*x;
}

// Przykład funckji, która w wyniku zwraca napis.
// Pokazuje też, że w treści funkcji może być kilka returnów.
string ujemna_czy_dodatnia(int liczba) {
    if(liczba < 0) {
        return "ujemna";
        // gdy funkcja dojdzie do tego returna, to zwraca taki wynik i się kończy
    }
    if(liczba > 0) {
        return "dodatnia";
    }
    return "równa zero";
}

int main()
{
    int wynik;
    // Typowe użycie:
    wynik = kwadrat(5);
    cout << "Wynikiem 5^2 jest: " << wynik << endl;
    // Można też od razu wypisać:
    cout << "Natomiast 7^2 = " << kwadrat(7) << endl;
    // Jednak samo wywołanie funkcji nie wypisuje jej wyniku
    kwadrat(8);

    cout << "Liczba 12 jest " << ujemna_czy_dodatnia(12) << endl;
    cout << "Liczba -6 jest " << ujemna_czy_dodatnia(-6) << endl;
    cout << "Ostatnia liczba jest " << ujemna_czy_dodatnia(6*2 - 12) << endl;
    return 0;
}